body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  background: #f7f7f9;
  overflow-x: hidden;
}

@keyframes rotatelogo {
  100% {
    transform: rotate(360deg);
  }
}

a {
  text-decoration: none;
}

.logo {
  width: 76px;
  height: 20px;
  font-size: 30px;
  line-height: 20px;
  color: #6070ff;
}

h1 {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  color: #172b4d;
  width: 327px;
  height: 150px;
}

#lang {
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  color: #253858;
  display: flex;
  align-items: center;
}

p {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}

.menu_btn {
  border: none;
  background-color: #fff;
  cursor: pointer;
  width: 45px;
}

.hamburger-icon {
  width: 33px;
  height: 33px;
  margin-left: 200px;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 14px 24px;
  background-color: white;
}

.headline {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: calc(100vh - 81px);
  background-image: url("images/header-shapes\ mobile.png");
  background-position: bottom right;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: white;
  border-bottom-left-radius: 100px;
}

.title {
  width: 80%;
  padding-top: 20vh;
  padding-left: 20px;
}

.info-head1 {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
  padding-left: 20px;
  width: 327px;
  height: 146px;
}

.info-head2 {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
  padding-left: 20px;
  width: 327px;
  height: 146px;
}

.social-media a {
  padding: 10px 20px 20px 20px;
  width: 117px;
  height: 24px;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #6070ff;
}

.social-icons {
  display: flex;
  align-items: center;
  gap: 20px;
  list-style: none;
  padding-left: 20px;
}

.works {
  display: grid;
  grid-template-columns: auto;
  row-gap: 100px;
  margin-top: 42px;
  margin-bottom: 114px;
}

.cards {
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  padding: 16px;
  margin: 0 24px;
  background-color: white;
  display: flex;
  flex-direction: column;
}

.project-name {
  color: #172b4d;
  margin-top: 12px;
  line-height: 40px;
  font-weight: 700;
  width: 295px;
}

.dot-0 {
  width: 8px;
  height: 8px;
}

.dot-1 {
  width: 8px;
  height: 8px;
}

.dot-2 {
  display: none;
}

.p-title {
  font-size: 32px;
}

.p-info {
  display: flex;
  gap: 12px;
  align-items: center;
  margin-top: 10px;
}

.role p {
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #485060;
}

ul li {
  list-style-type: none;
}

.portfolio-pic {
  width: 100%;
}

.portfolio-pic2,
.portfolio-pic4 {
  width: 100%;
}

.company {
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #344563;
}

.company p {
  display: flex;
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #485060;
  text-transform: uppercase;
}

.description p {
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #344563;
}

.languagesj {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-top: 12px;
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}

.langu {
  background: #ebebff;
  border-radius: 8px;
  padding: 4px 12px;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #0018f0;
}

.button-container {
  margin-top: 30px;
  margin-bottom: 12px;
}

.position {
  font-size: 13px;
  line-height: 16px;
  font-weight: 600;
  color: #7a869a;
  height: 16px;
}

.date {
  font-size: 13px;
  line-height: 16px;
  font-weight: 600;
  color: #7a869a;
  width: 29px;
  height: 16px;
}

img.dot {
  background: #c1c7d0;
  width: 8px;
  height: 8px;
  border-radius: 5px;
  align-self: center;
}

.paragraph {
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #344563;

  /* width: 295px; */
}

.web-lang {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0;
  gap: 8px;
  width: 203px;
  height: 24px;
}

.HTML {
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  width: 29px;
  color: #6070ff;
  align-items: center;
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
}

.CSS {
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  width: 21px;
  color: #6070ff;
  align-items: center;
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
}

.javaScript {
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  width: 65px;
  color: #6070ff;
  align-items: center;
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
}

.buttons-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 3px;
  width: 150px;
  height: 48px;
  margin-top: 20px;
}

.buttons {
  color: #396df2;
  border: 1px solid #6070ff;
  border-radius: 10px;
  box-sizing: border-box;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.03em;
  height: 48px;
  width: 200px;
  background-color: #fff;
}

.buttons:hover {
  background: #6070ff;
  color: white;
  cursor: pointer;
  transition: all 2s ease 0.5s;
}

.buttons:active {
  background: navy;
  color: #fff;
  cursor: pointer;
  transition: all 2s ease 0.5s;
}

.buttons:disabled {
  background: #fff;
  cursor: pointer;
}

.about {
  min-height: 120vh;
  background-color: #fff;
  border-top-right-radius: 100px;
}

.A-title {
  color: #172b4d;
  padding: 50px 0 0 20px;
  font-size: 32px;
}

.skill-sets {
  display: flex;
  justify-content: space-around;
  height: 72px;
  align-items: center;
  margin-bottom: 12px;
}

.button-about {
  margin-top: 30px;
  margin-bottom: 12px;
  padding-left: 20px;
}

.btn {
  border: 1px solid #6070ff;
  border-radius: 10px;
  height: 48px;
  outline: none;
  background-color: white;
  color: #396df2;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  cursor: pointer;
  padding: 12px;
}

.btn:hover {
  background: #6070ff;
  color: white;
  cursor: pointer;
  transition: all 2s ease 0.5s;
}

.btn:active {
  background: navy;
  color: #fff;
  cursor: pointer;
  transition: all 2s ease 0.5s;
}

.btn:disabled {
  background: #fff;
  cursor: pointer;
}

.langTitle {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  width: 205px;
  height: 24px;
}

.languages {
  display: flex;
  justify-content: space-around;
  height: 72px;
  align-items: center;
  margin-bottom: 12px;
}

.languages-list {
  list-style: none;
}

.lang-skills {
  background: #f7f7f9;
  display: flex;
  padding: 12px 9px;
  align-items: center;
  gap: 20px;
  margin-bottom: 12px;
  width: 303px;
  height: 66.72px;
  border-radius: 8px;
}

.programming-skills {
  padding: 0;
}

#langImag {
  width: 50px;
  height: 50px;
}

hr {
  width: 90%;
  background-color: #dfe1e6;
  border: none;
  height: 2px;
}

#arrow {
  width: 10px;
  height: 20px;
  margin-left: -25px;
}

#drop {
  width: 20px;
  height: 10px;
  margin-left: -33px;
}

/* Contact form */

.footer-wrapper {
  padding-top: 1%;
  width: 390px;
  height: 800px;
  background-image: url("images/contact-form-shapes-mobile.svg");
  background-repeat: no-repeat;
  background-position: right;
  background-color: #6070ff;
  border-top-left-radius: 120px;
}

.footer-contact {
  display: flex;
  justify-content: center;
  padding-left: 10px;
}

.contact {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  display: flex;
  align-items: center;
  text-align: center;
  color: #fff;
  margin-top: 100px;
  margin-bottom: 12px;
}

#form {
  display: flex;
  flex-direction: column;
  margin: 25px auto;
}

#text-footer {
  width: 327px;
  height: 102px;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #ebebff;
  margin-bottom: 28px;
  padding-left: 24px;
  margin-left: 5px;
}

input {
  background: #fff;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  width: 300px;
  height: 40px;
  margin-top: 30px;
}

textarea {
  background: #fff;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  width: 300px;
  height: 150px;
  margin-top: 30px;
}

button {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 12px 16px;
  background: #fff;
  border-color: #fff;
}

.contact-btn {
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  display: grid;
  align-items: center;
  text-align: center;
  letter-spacing: 0.03em;
  width: 150px;
  height: 50px;
  color: #396df2;
  border-radius: 8px;
  margin-top: 10px;
}

.contact-btn:hover {
  background: #7a869a;
  color: #fff;
  transition: all 2s ease 0.5s;
}

.contact-btn:active {
  background: #172b4d;
  color: #fff;
  transition: all 1s ease 0.5s;
}

.header_wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 3rem;
  align-content: center;
}

.navigation {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 50px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(96, 112, 255);
  background-color: rgb(96, 112, 255, 0.95);
  mix-blend-mode: multiply;
  backdrop-filter: blur(15px);
}

.btn-wrapper {
  position: fixed;
  top: 15px;
  right: 15px;
}

.close-btn {
  border: none;
  cursor: pointer;
  outline: none;
  background: none;
}

.close {
  width: 15px;
  height: 15px;
}

.nav_wrapper {
  list-style: none;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  width: 80%;
  z-index: 100;
}

.nav_item {
  padding: 17px 10px;
}

.nav_link {
  font-weight: 500;
  font-size: 32px;
  color: #fff;
  line-height: 44px;
}

/* ----MODAL POPUP SECTION---- */

.modal-popup {
  display: none;
  position: fixed;
  z-index: 1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgb(0, 0, 0, 0.5);
}

.modal_container {
  background-color: #fff;
  width: 85%;
  margin: 10px auto;
  padding: 0 16px;
  border-radius: 16px;
  overflow: auto;
  padding-top: 2%;
  padding-bottom: 4%;
}

.modal_wrapper {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.modal_btn_wrapper {
  width: 24px;
  margin-top: 12px;
}

.modal_close_btn {
  border: none;
  background: none;
  padding: 0;
}

.info_modal {
  display: flex;
  gap: 13px;
  margin-top: 10px;
  list-style-type: none;
  align-items: baseline;
}

ul.info_modal {
  margin-left: -35px;
}

.modal-imag {
  width: 100%;
  margin: 0 auto;
}

#modal-im {
  width: 100%;
}

.modal_content {
  display: flex;
  flex-direction: column;
}

.modal_description p {
  padding: 0;
  font-size: 15px;
  color: #344563;
  line-height: 24px;
}

.modal_languages {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-top: 12px;
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}

.modal_btns {
  align-items: center;
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  margin-top: 40px;
}

.modal_btn {
  align-items: center;
  width: 150px;
}

.modalBtn {
  display: flex;
  align-items: center;
  height: 25px !important;
  gap: 5px;
  justify-content: center;
}

#text_modal {
  font-size: 1.5rem;
}

#error {
  display: grid;
  color: red;
  width: 300px;
  text-align: center;
}

/* ----MEDIA QUERIES SECTION---- */

/* || DESKTOP VERSION */

@media (min-width: 769px) {
  .header {
    padding: 15px 422px;
    width: auto;
  }

  .menu_btn {
    display: none;
  }

  button.close-btn {
    display: none;
  }

  .navigation {
    display: contents !important;
    background: none;
  }

  .nav_wrapper {
    flex-direction: row;
    margin-left: 360px;
  }

  .nav_item {
    padding: 10px 10px;
  }

  .nav_link {
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    color: #344563;
  }

  .headline {
    background-image: url('images/desktop_bg.png');
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    width: 100%;
    min-height: 100vh;
  }

  .container {
    width: 50%;
    margin-top: 50px;
    margin-left: 150px;
    margin-right: 150px;
  }

  h1 {
    width: auto;
    margin: 0;
  }

  p {
    margin: 0;
  }

  .p-info {
    margin-left: -20px;
  }

  .description p {
    margin-left: -20px;
  }

  .languagesj {
    margin-left: -20px;
  }

  h2#p-title {
    margin-left: -20px;
  }

  .info-head1 {
    width: auto;
    margin-top: -20px;
  }

  .info-head2 {
    width: 447px;
    height: 102px;
    margin-left: -22px;
  }

  div.project-content {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  .logo {
    font-size: x-large;
    margin-left: -250px;
    animation: rotatelogo 1s linear;
  }

  .cards {
    flex-direction: row;
    gap: 100px;
    justify-content: space-between;
    align-items: center;
    width: 80%;
    margin: 0 auto;
    padding: 24px;
  }

  .p-title {
    margin-left: -5px;
  }

  .project-info {
    margin-top: -130px;
    margin-right: 200px;
  }

  .project-info2,
  .project-info4 {
    margin-top: -130px;
    margin-right: -100px;
  }

  .paragraph {
    width: 496px;
    height: 50px;
  }

  .portfolio-pic {
    transition: box-shadow 0.2s ease-out;
  }

  .portfolio-pic:hover {
    box-shadow: 0 2px 10px -1px rgb(0 0 0 / 80%);
    border-radius: 16px;
  }

  .portfolio-pic2,
  .portfolio-pic4 {
    transition: box-shadow 0.2s ease-out;
  }

  .portfolio-pic2:hover {
    box-shadow: 0 2px 10px -1px rgb(0 0 0 / 80%);
    border-radius: 16px;
  }

  .portfolio-pic4:hover {
    box-shadow: 0 2px 10px -1px rgb(0 0 0 / 80%);
    border-radius: 16px;
  }

  .rev-1 {
    flex-direction: row-reverse;
  }

  .rev-1 div.project-content {
    margin-left: 20px;
  }

  .rev-3 {
    flex-direction: row-reverse;
  }

  .rev-3 div.project-content {
    margin-left: 20px;
  }

  .contact-form {
    background-image: url('images/contact_backgrpund.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-color: #396df2;
    border-top-left-radius: 120px;
    margin-top: -270px;
  }

  .footer-wrapper {
    width: 50%;
    margin: 0 auto;
    background: none;
  }

  #text-footer {
    width: 569px;
    height: 102px;
    text-align: center;
  }

  input {
    background: #fff;
    border: 1px solid #cfd8dc;
    border-radius: 2px;
    width: 447px;
    height: 48px;
    margin-top: 25px;
    margin-left: 60px;
    transition: all 0.5s linear;
  }

  input:hover,
  input:focus {
    width: 550px;
    height: 60px;
    border-radius: 5px;
    margin-left: 0;
  }

  textarea {
    background: #fff;
    border: 1px solid #cfd8dc;
    border-radius: 2px;
    width: 447px;
    height: 170px;
    margin-top: 30px;
    margin-left: 60px;
    transition: all 0.5s linear;
  }

  textarea:hover,
  textarea:focus {
    width: 550px;
    height: 200px;
    border-radius: 5px;
    margin-left: 0;
  }

  button.contact-btn {
    margin-left: 210px;
  }

  .contact {
    margin-left: -20px;
  }

  /* h2 {
    margin-top: -80px;
  } */

  .connect-social {
    margin-top: 1px;
    margin-left: 7px;
  }

  .connect-headline {
    padding-left: 20px;
  }

  .about {
    padding: 100px 0 0 0;
    min-height: auto;
  }

  .desk_container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
    width: 80%;
    margin: 0 50px 0 50px;
  }

  .left {
    width: 50%;
    margin-top: 93px;
  }

  .right {
    width: 50%;
    height: 924px;
    margin-left: 150px;
  }

  .languages-list {
    display: flex;
    gap: 10px;
    margin-left: -44px;
  }

  .lang-skills {
    flex-direction: column;
    min-height: 120px;
    width: 122px;
    gap: 0;
    justify-items: left;
  }

  .A-title {
    padding: 0;
  }

  .social-media {
    margin-top: 20px;
    padding: 0;
  }

  .social-media a {
    padding: 0;
  }

  a.btn {
    margin-left: -22px;
  }

  li.languages {
    justify-content: space-between;
  }

  li.skill-sets {
    justify-content: space-between;
  }

  hr {
    width: 100%;
  }

  #langImag {
    margin-right: 60px;
  }

  #lang {
    margin-right: 92px;
  }

  .modal_content {
    flex-direction: row;
    align-items: flex-start;
    gap: 50px;
    justify-content: space-between;
  }

  .modal_description {
    margin-bottom: 50px;
    width: 778px;
  }

  .modal-img {
    margin: 28px auto 59px auto;
  }

  .modal_btns {
    display: flex;
    align-items: baseline;
    gap: 40px;
    margin-top: 10px;
  }

  p#des.text_modal {
    margin-top: 40px;
  }

  ul.web-lang {
    margin-top: 40px;
    margin-left: -20px;
  }

  .modal_container {
    width: 70%;
  }

  #error {
    margin: auto;
  }
}
